@echo off

set /p case=Please enter the case number:

set msinfo=outputfile.nfo
set zipfile=case-%case%-logs.zip
set ActivityLogFolder=ActivityLog\
set SessionLogFolder="ActivityLog\Session Logs\"

rem test for Windows Server 2008
mpfxsc.exe -os WindowsServer2008 -os WindowsServer2008R2 >> getlogs-log.txt 2>&1
IF ERRORLEVEL 1 GOTO NotWindowsServer2008

set eventViewerData=Application.evtx
set MSLogsDir=%PROGRAMDATA%\Microsoft\Windows NT\MSFax\ActivityLog
del %eventViewerData% 2>> getlogs-log.txt
rem use wevtutil in the Windows Server 2008 instead eventquery
wevtutil epl Application %eventViewerData%
GOTO CreateNFOfile

:NotWindowsServer2008
set eventViewerData=eventViewerData.txt
set MSLogsDir=%ALLUSERSPROFILE%\Application Data\Microsoft\Windows NT\MSFax\ActivityLog
del %eventViewerData% 2>> getlogs-log.txt
rem set the default Windows Script Host to CScript
cscript //h:cscript //s //nologo >> getlogs-log.txt 2>&1
eventquery /r 10 /v /l application /nh>%eventViewerData%

:CreateNFOfile
echo This may take a few minutes...
del %msinfo% 2>> getlogs-log.txt
"%PROGRAMFILES%\Common Files\Microsoft Shared\MSInfo\msinfo32.exe" /nfo %msinfo%

driverquery /si > driverquery.txt

reg query HKLM\SOFTWARE\Mainpine /s > HKLM-SOFTWARE-Mainpine.txt 2>> getlogs-log.txt
reg query "HKLM\SOFTWARE\Microsoft\Fax\Device Providers" /s > HKLM-SOFTWARE-Microsoft-Fax-Device_Providers.txt 2>> getlogs-log.txt
reg query "HKLM\SOFTWARE\Microsoft\Fax\Devices" /s > HKLM-SOFTWARE-Microsoft-Fax-Devices.txt 2>> getlogs-log.txt
reg query "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall" /s > HKLM-SOFTWARE-Microsoft-Windows-CurrentVersion-Uninstall.txt 2>> getlogs-log.txt
reg query "HKLM\SYSTEM\CurrentControlSet\Control\Class" /s > HKLM-SYSTEM-CurrentControlSet-Controll-Class.txt 2>> getlogs-log.txt

date /t > date-time.txt
time /t >> date-time.txt

del %zipfile% 2>> getlogs-log.txt
del %ActivityLogFolder% /q 2>> getlogs-log.txt
rmdir %ActivityLogFolder% /s /q 2>> getlogs-log.txt

rem Copy the ActivityLog folder into temporary directory because I can not zip it without copying
xcopy "%MSLogsDir%\*.*" %ActivityLogFolder% /s /e >> getlogs-log.txt 2>&1
rem Session logs take too much space, just gather one.
rem for %%i in (%SessionLogFolder%*.*) do if %%~zi LSS 4000 del "%%i" >> getlogs-log.txt 2>&1
rem for %%i in (%SessionLogFolder%*.*) do move /Y "%%i" %SessionLogFolder%sample-log.txt >> getlogs-log.txt 2>&1

xcopy C:\*.dmp . /e >> getlogs-log.txt 2>&1

zip.exe -r %zipfile% date-time.txt %eventViewerData% %msinfo% %ActivityLogFolder%*.* HKLM*.txt driverquery.txt *.dmp >> getlogs-log.txt 2>&1

rem delete temporary files and folders
del %msinfo% 2>> getlogs-log.txt
del %eventViewerData% 2>> getlogs-log.txt
del %ActivityLogFolder% /q 2>> getlogs-log.txt
rmdir %ActivityLogFolder% /s /q 2>> getlogs-log.txt
del HKLM*.txt 2>> getlogs-log.txt
del driverquery.txt 2>> getlogs-log.txt
del *.dmp 2>> getlogs-log.txt
del date-time.txt 2>> getlogs-log.txt

explorer http://mail.mainpine.com/uploads
