@echo off
rem Send one fax out in ping-pong fashion and wait for one return-fax in ping-pong fashion (only one).

rem callback number. Used for defining of the TSID of the sender's fax device.
rem The fax receiver uses it as phone number of return-fax.
rem set SenderTSID=13
if ""=="%1" goto mark1
set SenderTSID=%1
goto mark2
:mark1
echo The callback number is normally the unformatted 10-digit number to which
echo the Mainpine fax server will return the call.
echo.
set /p SenderTSID=Please enter the callback number:
:mark2

rem phone number to dial
rem set PhoneNumber=12
if ""=="%2" goto mark3
set PhoneNumber=%2
goto mark4
:mark3
echo.
echo The number to dial is normally 13604626294, but depending on the line
echo configuration there may need to be an initial "9" or the "1" removed.
echo.
set /p PhoneNumber=Please enter the number to dial :
:mark4

echo.

rem query the devices list.
mpfxsc.exe -op query -devicesList
rem Exit if no fax devices were installed on your OS
IF ERRORLEVEL 1 GOTO exit

rem number of the device for sending of the initial fax
if ""=="%3" goto mark5
set FaxDeviceFirst=%3
goto mark6
:mark5
set /p FaxDeviceFirst=Please select the number of the device for sending of the initial fax:
:mark6

rem number of the device for sending of the return-fax
if ""=="%4" goto mark7
set FaxDevice=%4
goto mark8
:mark7
set /p FaxDevice=Please select the number of the device for sending of the return-fax :
:mark8

rem Test for users input
mpfxsc.exe -op test -device %FaxDeviceFirst% >> pingpong-log.txt 2>&1
IF ERRORLEVEL 1 GOTO mark4
mpfxsc.exe -op test -device %FaxDevice% >> pingpong-log.txt 2>&1
IF ERRORLEVEL 1 GOTO mark4

rem fax server configuration file. Please do not edit it.
set faxServerConfiguration=FaxServerConfiguration.txt

rem Save the fax server configuration.
if exist %faxServerConfiguration% goto Disable

mpfxsc.exe -op query -devices -retries>%faxServerConfiguration% 2>>pingpong-log.txt
IF ERRORLEVEL 1 GOTO end

:Disable
rem Disable of sending and receiving from all ports
mpfxsc.exe -op conf -receiveMode noAnswer -sendNotEnabled >> pingpong-log.txt 2>&1
IF ERRORLEVEL 1 GOTO end

rem Retransmitting of the failed faxes is not allowed because the receiving side waits 1 fax only
mpfxsc.exe -op outboxConf -retries 0 >> pingpong-log.txt 2>&1
IF ERRORLEVEL 1 GOTO end

rem Sending of the fax ------------------

rem File for sending
set file=sample.tif

rem enable %FaxDevice% for receiving.
mpfxsc.exe -op conf -device "%FaxDevice%" -receiveMode autoAnswer >> pingpong-log.txt 2>&1
IF ERRORLEVEL 1 GOTO end

rem enable %FaxDeviceFirst% for sending and receiving. TSID of the "%FaxDeviceFirst%" is "%FaxDeviceFirst%" phone number.
mpfxsc.exe -op conf -device "%FaxDeviceFirst%" -receiveMode autoAnswer -sendEnabled -TSID %SenderTSID% >> pingpong-log.txt 2>&1
IF ERRORLEVEL 1 GOTO end

echo.
echo Submitting job to fax server...

mpfxsc.exe -op send -times 1 -file %file% -number %PhoneNumber% -priority high >> pingpong-log.txt 2>&1
IF ERRORLEVEL 1 GOTO end

rem Pingpong ------------------

rem To make this an infinite ping-pong loop enable this
rem mpfxsc.exe -op wait -times 0 -device "%FaxDevice%" >> pingpong-log.txt 2>&1

echo Waiting for sent fax to complete and return fax to arrive...

mpfxsc.exe -op wait -event incomingJobRemoved -device "%FaxDevice%" >> pingpong-log.txt 2>&1
IF ERRORLEVEL 1 GOTO end

:end

:exit

rem Restore the fax server configuration.
mpfxsc.exe -op restore_configuration<%faxServerConfiguration% >> pingpong-log.txt 2>&1
